<?php // no direct access 
defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

/** @var Joomla\CMS\Document\HtmlDocument $this */

$app = Factory::getApplication();
$wa  = $this->getWebAssetManager();

// Browsers support SVG favicons
$this->addHeadLink(HTMLHelper::_('image', 'joomla-favicon.svg', '', [], true, 1), 'icon', 'rel', ['type' => 'image/svg+xml']);
$this->addHeadLink(HTMLHelper::_('image', 'favicon.ico', '', [], true, 1), 'alternate icon', 'rel', ['type' => 'image/vnd.microsoft.icon']);
$this->addHeadLink(HTMLHelper::_('image', 'joomla-favicon-pinned.svg', '', [], true, 1), 'mask-icon', 'rel', ['color' => '#000']);

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = htmlspecialchars($app->get('sitename'), ENT_QUOTES, 'UTF-8');
$menu     = $app->getMenu()->getActive();
$pageclass = $menu !== null ? $menu->getParams()->get('pageclass_sfx', '') : '';

$showLeftColumn = (bool) $this->countModules('position-7');
$showRightColumn = (bool) $this->countModules('position-6');
$showRightColumn &= $app->input->getCmd('layout', '') != 'edit' ;

$logoText	= $this->params->get("logoText","A4JOOMLA-BEST-FREE");
$logoFont	= $this->params->get("logoFont", "'Roboto Condensed', sans-serif");
$logoFontsize	= $this->params->get("logoFontsize", "22");
$logoLetterSpacing	= $this->params->get("logoLetterSpacing", "0");
$slogan	= $this->params->get("slogan","Joomla template from a4joomla.com");
$sloganFont	= $this->params->get("sloganFont", "'Roboto Condensed', sans-serif");
$sloganFontsize	= $this->params->get("sloganFontsize", "14");
$sloganLetterSpacing	= $this->params->get("sloganLetterSpacing", "0");

$fullscreenHeaderFont	= $this->params->get("fullscreenHeaderFont", "'Roboto Condensed', sans-serif");
$fullscreenHeaderFontsize	= $this->params->get("fullscreenHeaderFontsize", "38");
$fullscreenHeaderLetterSpacing	= $this->params->get("fullscreenHeaderLetterSpacing", "1");
$fullscreenSubheaderFont	= $this->params->get("fullscreenSubheaderFont", "'Times New Roman', Times, serif");
$fullscreenSubheaderFontsize	= $this->params->get("fullscreenSubheaderFontsize", "17");
$fullscreenSubheaderLetterSpacing	= $this->params->get("fullscreenSubheaderLetterSpacing", "8");

$textFont	= $this->params->get("textFont", "'Open Sans', sans-serif");
$textFontsize	= $this->params->get("textFontsize", "15");

$headingFont	= $this->params->get("headingFont", "'Roboto Condensed', sans-serif");

$twitterurl = $this->params->get("twitterUrl");
$facebookurl = $this->params->get("facebookUrl");
$feedurl = $this->params->get("feedUrl");
$youtubeurl = $this->params->get("youtubeUrl");
$contacturl = $this->params->get("contactUrl");
$searchurl = $this->params->get("searchUrl");
$button = $this->params->get("mybuttonUrl");
$buttontxt= $this->params->get("mybuttonText");

$colorScheme = $this->params->get("colorScheme", "1");
$headerUpload	= $this->params->get("headerUpload");
$headerText	= $this->params->get("headerText");
$headerDesc	= $this->params->get("headerDesc");
$buttonText	= $this->params->get("buttonText");
$buttonURL	= $this->params->get("buttonURL");
$showHeader = $this->params->get("showHeader", "1");

$rightColumnWidth	= $this->params->get("rightColumnWidth", "3");
$leftColumnWidth	= $this->params->get("leftColumnWidth", "3");

$sloganPosition	= $this->params->get("sloganPosition", "-5");

if ($showLeftColumn && $showRightColumn) {
   $contentWidth = 12 - $leftColumnWidth - $rightColumnWidth;
} elseif (!$showLeftColumn && $showRightColumn) {
   $contentWidth = 12 - $rightColumnWidth;
} elseif ($showLeftColumn && !$showRightColumn) {
   $contentWidth = 12 - $leftColumnWidth;
} else {
   $contentWidth = 12 ;
}

$isheader="0";
$lang = Factory::getLanguage();
$locale = $lang->getTag();
$menu1 = $app->getMenu();
if ($menu1->getActive() == $menu1->getDefault($locale)) {
	$isheader="1";
} 

// Enable assets
$wa->disableStyle('fontawesome')
	->useStyle('template.best')
	->useStyle('template.user')
	->useScript('template.best.js')
	->useScript('sidr')
	->useScript('template.user');

$this->setMetaData('viewport', 'width=device-width, initial-scale=1');

?>
<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">

<head>
	<jdoc:include type="metas" />
	<jdoc:include type="styles" />
	<link rel="stylesheet" id="googlefonts"  href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,700italic,400italic|Open+Sans:400,400italic,700,700italic" type="text/css" media="all" />
	<jdoc:include type="scripts" />
	<script src="<?php echo $this->baseurl ?>/media/vendor/bootstrap/js/bootstrap-es5.min.js"></script>

<style type="text/css">
<?php if ( 1 == $isheader && 1 == $showHeader) : ?>
 #headerwrap {background-image: url(<?php echo $this->baseurl ?>/<?php echo $headerUpload; ?>);}
<?php endif; ?>
#logo h2 { font-family: <?php echo $logoFont; ?>; font-size:<?php echo $logoFontsize; ?>px; letter-spacing: <?php echo $logoLetterSpacing; ?>px; }
#logo h3 { font-family: <?php echo $sloganFont; ?>; font-size:<?php echo $sloganFontsize; ?>px; letter-spacing: <?php echo $sloganLetterSpacing; ?>px; margin-top:<?php echo $sloganPosition; ?>px; }
h2.fullpageheader { font-size: <?php echo $fullscreenHeaderFontsize; ?>px; font-family: <?php echo $fullscreenHeaderFont; ?>; letter-spacing: <?php echo $fullscreenHeaderLetterSpacing; ?>px;} 
h3.fullpageheader {	font-size: <?php echo $fullscreenSubheaderFontsize; ?>px; font-family: <?php echo $fullscreenSubheaderFont; ?>; letter-spacing: <?php echo $fullscreenSubheaderLetterSpacing; ?>px;} 
body { font-family: <?php echo $textFont; ?>; font-size:<?php echo $textFontsize; ?>px; }
h1,h2,h3,h4,h5,h6, div.moduletable h3, #sidebar div.moduletable h3, #sidebar-2 div.moduletable h3, .moduletable._menu h3, #sidebar div.moduletable._menu h3, #sidebar-2 div.moduletable._menu h3 { font-family: <?php echo $headingFont; ?>; }
@media screen and (max-width: 1280px) {.navbar .nav, .navbar .nav > li {float: none;}}
</style>
<?php if ( 1 == $isheader && 1 == $colorScheme && 1 == $showHeader ) : ?>
<style type="text/css">
@media screen and (min-width: 1281px) {
div#topmenu.navbar-inverse .nav > li > a {
  color: #000;
}
div#topmenu.navbar-inverse .nav > li > a:hover {
  color: #000;
}
div#topmenu.navbar-inverse .nav > li > a:focus,
div#topmenu.navbar-inverse .nav > li > a:hover {
  color: #000;
}
div#topmenu.navbar-inverse .nav > .active > a,
div#topmenu.navbar-inverse .nav > .active > a:hover,
div#topmenu.navbar-inverse .nav > .active > a:focus {
  color: #000;
}
}
div#soci a:link,div#soci a:visited,div#soci a:hover,div#soci a:active {
  color: #000;
}
.button-menu {
  color: #000;
  background: transparent;
  border: 1px solid #000;
}
.button-menu:hover,.button-menu:focus,.button-menu:active,.button-menu.active,.button-menu.disabled,.button-menu[disabled] {
  color: #fff !important;
  border: 1px solid #000;
  background: #000;
}  
#menu-button { color: #000; }
#logo h2 {
	color: #000;
}
#logo h3 {
	color: #000;
}
#logo h2 a:link, #logo h2 a:visited, #logo h2 a:hover, #logo h2 a:active {
color: #000;
}
h2.fullpageheader {	color: #000;} 
h3.fullpageheader {	color: #000;} 
a.btn.fullpageheader, a.btn.fullpageheader:visited {color: #000; border: 1px solid #000;}
a.btn.fullpageheader:hover, a.btn.fullpageheader:active, a.btn.fullpageheader:focus {color: #fff !important; border: 1px solid #000 !important; background: #000 !important;}
</style>
<?php elseif ( 1 == $isheader && 0 == $colorScheme && 1 == $showHeader ) : ?>
<style type="text/css">
@media screen and (min-width: 1281px) {
div#topmenu.navbar-inverse .nav > li > a {
  color: #fff;
}
div#topmenu.navbar-inverse .nav > li > a:hover {
  color: #fff;
}
div#topmenu.navbar-inverse .nav > li > a:focus,
div#topmenu.navbar-inverse .nav > li > a:hover {
  color: #fff;
}
div#topmenu.navbar-inverse .nav > .active > a,
div#topmenu.navbar-inverse .nav > .active > a:hover,
div#topmenu.navbar-inverse .nav > .active > a:focus {
  color: #fff;
}
}
div#soci a:link,div#soci a:visited,div#soci a:hover,div#soci a:active {
  color: #fff;
}
.button-menu {
  color: #fff;
  background: transparent;
  border: 1px solid #fff;
}
.button-menu:hover,.button-menu:focus,.button-menu:active,.button-menu.active,.button-menu.disabled,.button-menu[disabled] {
  color: #000 !important;
  border: 1px solid #fff;
  background: #fff;
}  
#menu-button { color: #fff; }
#logo h2 {
	color: #fff;
}
#logo h3 {
	color: #fff;
}
#logo h2 a:link, #logo h2 a:visited, #logo h2 a:hover, #logo h2 a:active {
color: #fff;
}
h2.fullpageheader {	color: #fff;} 
h3.fullpageheader {	color: #fff;} 
a.btn.fullpageheader, a.btn.fullpageheader:visited {color: #fff; border: 1px solid #fff;}
a.btn.fullpageheader:hover, a.btn.fullpageheader:active, a.btn.fullpageheader:focus {color: #000 !important; border: 1px solid #fff !important; background: #fff !important;}
</style>
<?php endif; ?>
<!--[if lt IE 9]>
	<script src="<?php echo $this->baseurl ?>/media/jui/js/html5.js"></script>
<![endif]-->
</head>
<body class="<?php echo $option
	. ' view-' . $view
	. ($layout ? ' layout-' . $layout : ' no-layout')
	. ($task ? ' task-' . $task : ' no-task')
	. ($itemid ? ' itemid-' . $itemid : '')
	. ($pageclass ? ' ' . $pageclass : '')
	. ($this->direction == 'rtl' ? ' rtl' : '');
?>">
<?php if ( 1 == $isheader  && 1 == $showHeader ) : ?>
  <div id="headerwrap">
<?php else : ?>  
  <div id="navwrap">
<?php endif; ?>
	<div id="navcontainer" class="container-fluid">      
		<div id="navflex" >
			<div id="logo">
					<h2><a href="<?php echo JURI::base(); ?>" title="<?php echo htmlspecialchars($logoText); ?>"><?php echo htmlspecialchars($logoText); ?></a></h2>
					<h3><?php echo htmlspecialchars($slogan); ?></h3> 
			</div>
			<div id="navright" >
		
				<div id="topmenu" class="navbar navbar-inverse">
					<div id="topnav" class="navbar-inner">
						<div id="myoverlay"></div>
						<a id="menu-button" href="#sidr" class="fa fa-bars" >

						</a>
						<div id="sidr" >
							<a href="#" id="myclosebtn" >&times;</a>
							<?php if ( $feedurl || $facebookurl || $twitterurl || $youtubeurl || $contacturl || $searchurl || $button ) : ?>
							<div id="soci2">
							<?php if($feedurl) : ?>
								<a target="_blank" class="myfeed" href="<?php echo $feedurl; ?>" title="Feed"><i class="fas fa-rss"></i></a>
							<?php endif; ?>
							<?php if($facebookurl) : ?>
								<a target="_blank" class="myfacebook" href="<?php echo $facebookurl; ?>" title="Facebook"><i class="fab fa-facebook-f"></i></a>
							<?php endif; ?>
							<?php if($twitterurl) : ?>
								<a target="_blank" class="mytwitter" href="<?php echo $twitterurl; ?>" title="Twitter"><i class="fab fa-twitter"></i></a>
							<?php endif; ?>
							<?php if($youtubeurl) : ?>
								<a target="_blank" class="myyoutube" href="<?php echo $youtubeurl; ?>" title="Youtube"><i class="fab fa-youtube"></i></a>
							<?php endif; ?>
							<?php if($contacturl) : ?>
								<a class="mycontact" href="<?php echo $contacturl; ?>" title="Contact"><i class="far fa-envelope"></i></a>
							<?php endif; ?>
							<?php if($searchurl) : ?>
								<a class="mysearch" href="<?php echo $searchurl; ?>" title="Search"><i class="fa fa-search"></i></a>
							<?php endif; ?>
							<?php if($button) : ?>
									<a class="btn button-menu2 mybutton" href="<?php echo $button; ?>" title=""><?php echo $buttontxt; ?></a>
								<?php endif; ?>
							</div>
							<?php endif; ?>
							<?php if($this->countModules('position-1')) : ?>
								<jdoc:include type="modules" name="position-1" style="none" />
							<?php endif; ?>
						</div>
					</div>	
					<div id="soci">
					<?php if($feedurl) : ?>
						<a target="_blank" class="myfeed" href="<?php echo $feedurl; ?>" title="Feed"><i class="fas fa-rss"></i></a>
					<?php endif; ?>
					<?php if($facebookurl) : ?>
						<a target="_blank" class="myfacebook" href="<?php echo $facebookurl; ?>" title="Facebook"><i class="fab fa-facebook-f"></i></a>
					<?php endif; ?>
					<?php if($twitterurl) : ?>
						<a target="_blank" class="mytwitter" href="<?php echo $twitterurl; ?>" title="Twitter"><i class="fab fa-twitter"></i></a>
					<?php endif; ?>
					<?php if($youtubeurl) : ?>
						<a target="_blank" class="myyoutube" href="<?php echo $youtubeurl; ?>" title="Youtube"><i class="fab fa-youtube"></i></a>
					<?php endif; ?>
					<?php if($contacturl) : ?>
						<a class="mycontact" href="<?php echo $contacturl; ?>" title="Contact"><i class="far fa-envelope"></i></a>
					<?php endif; ?>
					<?php if($searchurl) : ?>
						<a class="mysearch" href="<?php echo $searchurl; ?>" title="Search"><i class="fa fa-search"></i></a>
					<?php endif; ?>
					<?php if($button) : ?>
						<a class="btn button-menu mybutton" href="<?php echo $button; ?>" title=""><?php echo $buttontxt; ?></a>
					<?php endif; ?>
					</div>
					
				</div> 
				
			</div>
		</div>
	</div>
	<?php if ( 1 == $isheader && 1 == $showHeader ) : ?>  
	<header id="masthead" >
			<?php if ( $headerText ) : ?>
				<h2 class="fullpageheader"><?php echo $headerText; ?></h2>
			<?php endif; ?>
			<?php if ( $headerDesc ) : ?>
				<h3 class="fullpageheader"><?php echo $headerDesc; ?></h3>
			<?php endif; ?>
			<?php if ( $buttonText ) : ?>
				<a href="<?php echo $buttonURL; ?>" class="btn fullpageheader"><?php echo $buttonText; ?></a>
			<?php endif; ?>

	</header><!-- #masthead -->	
	<?php endif; ?>
</div>

<div id="allwrap" >

	<div id="wrap" class="container-fluid" >

		<?php if($this->countModules('position-2')) : ?>
			<div id="pathway">
				<jdoc:include type="modules" name="position-2" />
			</div>
		<?php endif; ?> 
		<div id="cbody" class="row">
			<?php if($showLeftColumn) : ?>
				<div id="sidebar" class="col-md-<?php echo $leftColumnWidth; ?>">     
					<jdoc:include type="modules" name="position-7" style="html5" />    
				</div>
			<?php endif; ?>
			<div id="content60" class="col-md-<?php echo $contentWidth; ?>">    
				<div id="content">
					<jdoc:include type="message" />
					<jdoc:include type="component" /> 
				</div> 
			</div>
			<?php if($showRightColumn) : ?>
				<div id="sidebar-2" class="col-md-<?php echo $rightColumnWidth; ?>">     
					<jdoc:include type="modules" name="position-6" style="html5" />     
				</div>
			<?php endif; ?>
		</div>
  
<!--end of wrap-->
	</div>
    
<!--end of allwrap-->
</div>

<div id="footerwrap"> 
	<div id="footer" class="container-fluid">  
		<div class="row">
				<?php if($this->countModules('position-14')) : ?>	
				<jdoc:include type="modules" name="position-14" style="html5" />    
				<?php endif; ?>
		</div>
	</div>
	<div id="a4j" class="container-fluid"><a href="http://a4joomla.com/"><?php echo JText::_('TPL_A4JOOMLA-BEST-FREE_FOOTER_LINK_TEXT');?></a></div> 
</div>

</body>
</html>
